SDL_WindowEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint8 | event
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint32 | data1
Sint32 | data2

## Detailed Description

Window state change event data (event.window.*)

Definition at line 208 of file SDL_events.h.

## Field Documentation

## data1

Sint32 SDL_WindowEvent::data1

event dependent data

Definition at line 217 of file SDL_events.h.

## data2

Sint32 SDL_WindowEvent::data2

event dependent data

Definition at line 218 of file SDL_events.h.

## event

Uint8 SDL_WindowEvent::event

SDL_WindowEventID

Definition at line 213 of file SDL_events.h.

## padding1

Uint8 SDL_WindowEvent::padding1

Definition at line 214 of file SDL_events.h.

## padding2

Uint8 SDL_WindowEvent::padding2

Definition at line 215 of file SDL_events.h.

## padding3

Uint8 SDL_WindowEvent::padding3

Definition at line 216 of file SDL_events.h.

## timestamp

Uint32 SDL_WindowEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 211 of file SDL_events.h.

## type

Uint32 SDL_WindowEvent::type

SDL_WINDOWEVENT

Definition at line 210 of file SDL_events.h.

## windowID

Uint32 SDL_WindowEvent::windowID

The associated window

Definition at line 212 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h